use 教学成绩管理数据库     --一段一段选中执行
select 姓名, 性别, 年龄=datediff(year,出生日期,getdate()) 
from 学生信息表
where datediff(year,出生日期,getdate())<=21 

select 姓名, 性别, 年龄=datediff(year,出生日期,getdate()) 
from 学生信息表 
where (datediff(year,出生日期,getdate())>21) and (性别='男')


select 姓名, 性别, 年龄=datediff(year,出生日期,getdate()) 
from 学生信息表 
where 姓名='李琳'

